#
# spec file for package python3-arrow
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-arrow
Version:        0.7.0
Release:        2.2
Summary:        Better dates and times for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://crsmithdev.com/arrow
Source:         https://files.pythonhosted.org/packages/source/a/arrow/arrow-%{version}.tar.gz
BuildRequires:  python3-chai
BuildRequires:  python3-dateutil
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-simplejson
Requires:       python3-dateutil
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Arrow is a Python library that offers a sensible, human-friendly
approach to creating, manipulating, formatting and converting dates,
times, and timestamps.  It implements and updates the datetime type,
plugging gaps in functionality, and provides an intelligent module
API that supports many common creation scenarios.  Simply put, it
helps you work with dates and times with fewer imports and a lot
less code.

Arrow is heavily inspired by moment.js and requests.


%prep
%setup -q -n arrow-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
PYTHONPATH="%{buildroot}%{python3_sitelib}:$PYTHONPATH" nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst HISTORY.md
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Nov  1 2015 arun@gmx.de
- update to version 0.7.0:
  * [FIX] Parse localized strings #228 (swistakm)
  * [FIX] Modify tzinfo parameter in get api #221 (bottleimp)
  * [FIX] Fix Czech locale (PrehistoricTeam)
  * [FIX] Raise TypeError when adding/subtracting non-dates (itsmeolivia)
  * [FIX] Fix pytz conversion error (Kudo)
  * [FIX] Fix overzealous time truncation in span_range (kdeldycke)
  * [NEW] Humanize for time duration #232 (ybrs)
  * [NEW] Add Thai locale (sipp11)
  * [NEW] Adding Belarusian (be) locale (oire)
  * [NEW] Search date in strings (beenje)
  * [NEW] Note that arrow's tokens differ from strptime's. (offby1)
* Wed Jul 15 2015 arun@gmx.de
- specfile:
  * README.md -> README.rst
  * added simplejson requirement for tests
- update to version 0.6.0:
  * [FIX] Added support for Python 3
  * [FIX] Avoid truncating oversized epoch timestamps. Fixes #216.
  * [FIX] Fixed month abbreviations for Ukrainian
  * [FIX] Fix typo timezone
  * [FIX] A couple of dialect fixes and two new languages
  * [FIX] Spanish locale: Miercoles should have acute accent
  * [Fix] Fix Finnish grammar
  * [FIX] Fix typo in 'Arrow.floor' docstring
  * [FIX] Use read() utility to open README
  * [FIX] span_range for week frame
  * [NEW] Add minimal support for fractional seconds longer than six digits.
  * [NEW] Adding locale support for Marathi (mr)
  * [NEW] Add count argument to span method
  * [NEW] Improved docs
- changes from version 0.5.1-0.5.4:
  * [FIX] test the behavior of simplejson instead of calling for_json directly (tonyseek)
  * [FIX] Add Hebrew Locale (doodyparizada)
  * [FIX] Update documentation location (andrewelkins)
  * [FIX] Update setup.py Development Status level (andrewelkins)
  * [FIX] Case insensitive month match (cshowe)
- changes from version 0.5.0:
  * [NEW] struct_time addition. (mhworth)
  * [NEW] Version grep (eirnym)
  * [NEW] Default to ISO-8601 format (emonty)
  * [NEW] Raise TypeError on comparison (sniekamp)
  * [NEW] Adding Macedonian(mk) locale (krisfremen)
  * [FIX] Fix for ISO seconds and fractional seconds (sdispater) (andrewelkins)
  * [FIX] Use correct Dutch wording for "hours" (wbolster)
  * [FIX] Complete the list of english locales (indorilftw)
  * [FIX] Change README to reStructuredText (nyuszika7h)
  * [FIX] Parse lower-cased 'h' (tamentis)
  * [FIX] Slight modifications to Dutch locale (nvie)
* Sun Jan 25 2015 arun@gmx.de
- update to versin 0.4.6:
  (no changelog available)
* Wed Aug  6 2014 toddrme2178@gmail.com
- Initial version
